Bug 736069 - Review Request: apache-parent
Summary: Review Request: apache-parent
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: 16
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Stanislav Ochotnicky
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-06 15:09 UTC by Andy Grimm
Modified: 2016-11-08 03:45 UTC (History)
4 users (show)

Fixed In Version: apache-parent-10-2.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-09-30 19:08:41 UTC
sochotni: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Andy Grimm 2011-09-06 15:09:33 UTC
Name:           apache-parent
Version:        10
Summary:        Parent pom file for Apache projects
License:        ASL 2.0
URL:            http://apache.org/


SPEC:
https://downloads.eucalyptus.com/software/devel/fedora-16/SPECS/apache-parent.spec

SRPM:
https://downloads.eucalyptus.com/software/devel/fedora-16/SRPMS/apache-parent-10-1.fc16.src.rpm


NOTE: This is a newer replacement for a POM currently contained in maven2-common-poms.  After this package is published, the old POM should be removed.

Comment 1 Stanislav Ochotnicky 2011-09-08 12:59:49 UTC
I'll do the shortened version because the spec is really small and clean. Licensing is OK (ASL 2.0) rpmlint is completely clean. Basically everything is A-OK. I just have 2 suggestions:

1. You can put the url directly into Source0. It would be a problem if there were more pom.xml files, but that's not the case so...
2. It's usually better to be specific i.e. have %{_mavendepmapfragdir}/%{name} instead of * (same for the pom line)

These two non-issues are really small and basically up to you if you want to handle them. Package is APPROVED. I'll remove common-poms apache-parent once this package is in...

Comment 2 Andy Grimm 2011-09-13 14:42:15 UTC
New Package SCM Request
=======================
Package Name: apache-parent
Short Description: Parent pom file for Apache projects
Owners: arg
Branches: f16
InitialCC:

Comment 3 Gwyn Ciesla 2011-09-13 15:02:58 UTC
Git done (by process-git-requests).

Comment 4 Andy Grimm 2011-09-13 18:56:51 UTC
(In reply to comment #1)
> I'll do the shortened version because the spec is really small and clean.
> Licensing is OK (ASL 2.0) rpmlint is completely clean. Basically everything is
> A-OK. I just have 2 suggestions:
> 
> 1. You can put the url directly into Source0. It would be a problem if there
> were more pom.xml files, but that's not the case so...

The reason I did not do this is that when you install the SRPM into your personal "rpmbuild" environment, you end up with a file called "pom.xml" in SOURCES ... and when I'm packaging lots of maven-based packages concurrently, this doesn't work out well.  I suppose that if I switch to using git/fedpkg for all of my development, this is no longer an issue.

> 2. It's usually better to be specific i.e. have %{_mavendepmapfragdir}/%{name}
> instead of * (same for the pom line)

This makes sense, though it would be good to see it in the guidelines if we prefer not to have people using globs.

> These two non-issues are really small and basically up to you if you want to
> handle them. Package is APPROVED. I'll remove common-poms apache-parent once
> this package is in...

Comment 5 Fedora Update System 2011-09-13 19:26:25 UTC
apache-parent-10-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/apache-parent-10-2.fc16

Comment 6 Fedora Update System 2011-09-13 22:21:01 UTC
apache-parent-10-2.fc16 has been pushed to the Fedora 16 testing repository.

Comment 7 Fedora Update System 2011-09-30 19:08:36 UTC
apache-parent-10-2.fc16 has been pushed to the Fedora 16 stable repository.


Note You need to log in before you can comment on or make changes to this bug.